kind: ImageSetConfiguration
apiVersion: mirror.openshift.io/v2alpha1
mirror:
  operators:
  - catalog: icr.io/cpopen/ibm-bts-operator-catalog@sha256:e35ab0ad1eee84aaa0b1d454a0c247d85eb1ebdd186aec45ce998a4b534ef8b2
    packages:
    - name: ibm-bts-operator
      channels:
      - name: v3.35
    full: true
  - catalog: icr.io/cpopen/ibm-cert-manager-operator-catalog@sha256:27b3f48497011094fd329cebd5101a4ddefce0e84b9fa80a6fd2eb4f2f5acb59
    packages:
    - name: ibm-cert-manager-operator
      channels:
      - name: v4.0
      - name: v4.1
      - name: v4.2
    full: true
  - catalog: icr.io/cpopen/ibm-cp-automation-catalog@sha256:8328626d38b5f40f2af2ee4f44d9b556fddb6c62ebc46f9bc053ed4ba926e8a2
    packages:
    #- name: ibm-ads-operator
    #  channels:
    #  - name: v22.2
    #  - name: v23.1
    #  - name: v23.2
    #  - name: v24.0
    #  - name: v24.1
    - name: ibm-content-operator
      channels:
      # - name: v22.1
      # - name: v22.2
      # - name: v23.1
      # - name: v23.2
      # - name: v24.0
      - name: v24.1
    - name: ibm-cp4a-operator
      channels:
      #- name: v21.3
      #- name: v22.1
      #- name: v22.2
      #- name: v23.1
      - name: v24.1
    - name: ibm-cp4a-wfps-operator
      channels:
      # - name: v21.3
      # - name: v22.1
      # - name: v22.2
      # - name: v23.1
      # - name: v23.2
      # - name: v24.0
      - name: v24.1
    - name: ibm-dpe-operator
      channels:
      # - name: v23.1
      # - name: v23.2
      # - name: v24.0
      - name: v24.1
    - name: ibm-insights-engine-operator
      channels:
      # - name: v23.1
      # - name: v23.2
      # - name: v24.0
      - name: v24.1
    # - name: ibm-odm-operator
    #   channels:
    #   - name: v23.1
    #   - name: v23.2
    #   - name: v24.0
    #   - name: v24.1
    - name: ibm-pfs-operator
      channels:
      # - name: v22.1
      # - name: v22.2
      # - name: v23.1
      # - name: v23.2
      # - name: v24.0
      - name: v24.1
    - name: ibm-workflow-operator
      channels:
      - name: v24.1
    - name: icp4a-foundation-operator
      channels:
      # - name: v22.1
      # - name: v22.2
      # - name: v23.1
      # - name: v23.2
      # - name: v24.0
      - name: v24.1
    full: true
  - catalog: icr.io/cpopen/ibm-cs-install-catalog@sha256:848f57b9b557d5e83729c67ce958ae41becd5a4a6dd325f9743c96ea74405555
    packages:
    - name: ibm-common-service-operator
      channels:
      - name: v4.11
    - name: ibm-namespace-scope-operator
      channels:
      - name: v4.2
    - name: ibm-odlm
      channels:
      - name: v4.4
    full: true
  - catalog: icr.io/cpopen/ibm-events-operator-catalog@sha256:4cd92e1a78b080cc94beae89c257078314a6a0fae66e8a14512953b1c4004c09
    packages:
    - name: ibm-events-operator
      channels:
      - name: v3
    full: true
  - catalog: icr.io/cpopen/ibm-fncm-catalog@sha256:f9b94bed28ed637c907eb82d04bbe3f67a7ec5615c982ae92a25810f0a57b817
    packages:
    - name: ibm-fncm-operator
      channels:
      # - name: v23.1
      # - name: v23.2
      - name: v24.0
    full: true
  - catalog: icr.io/cpopen/ibm-iam-operator-catalog@sha256:331ef9263958d52c30eb24e83b7610952ba12b913b712091da739824dac17d28
    packages:
    - name: ibm-commonui-operator-app
      channels:
      - name: v4.7
    - name: ibm-iam-operator
      channels:
      - name: v4.10
    full: true
  - catalog: icr.io/cpopen/ibm-licensing-catalog@sha256:d7b3fc5ad0e90f08cfab27d5da59e325217671bc64cbeeba9265bb0090342583
    packages:
    - name: ibm-licensing-operator-app
      channels:
      - name: v4.0
      - name: v4.1
      - name: v4.2
    full: true
  - catalog: icr.io/cpopen/ibm-opencontent-flink-operator-catalog@sha256:b1e6182101793348aaf45b77160848b09674033a2b6c910d14d3049a711bbdd7
    packages:
    - name: ibm-opencontent-flink
      channels:
      - name: v2.0
    full: true
  - catalog: icr.io/cpopen/opencontent-elasticsearch-operator-catalog@sha256:5b81f9d2a5bb20f96503f76d6a39fc71cb844c49f4bc4f580e37bc4aeecb9474
    packages:
    - name: ibm-elasticsearch-operator
      channels:
      - name: v1.1
    full: true
  additionalImages:
  - name: cp.icr.io/cp/cpd/edb-postgres-license-provider@sha256:8112cfa96daac82de5a4fdede8fcaecfc41908e7ee22686e0f8818c875784a00
  - name: icr.io/cpopen/cpfs/cpfs-oadp-plugins@sha256:e5facf1854e375bd14a8c0e2bb3950a08a0e98cac9b5ebc996b272a9141b1e20
  - name: icr.io/cpopen/cpfs/cpfs-utils@sha256:1ab9d775cf5494b626cc8ba9c946fc603ecf9443c7d9c56375a8f032c88545ac
  - name: icr.io/cpopen/cpfs/icp4data-nginx-repo@sha256:a269121911c158c79f6224dab932b77d0123ed4e655133019df7afeb06f240f6
  - name: icr.io/cpopen/cpfs/icpd-requisite@sha256:6c3c210111dcc94986ad19d2b9c4619c294f93cfe3655bd551789241f1ab58ac
  - name: icr.io/cpopen/cpfs/must-gather@sha256:cccf8de854dee410b9fe1d1a18021ef784a825f33801ddec8f2ffe02c533c327
  - name: icr.io/cpopen/cpfs/privatecloud-usermgmt@sha256:b52d953fc16a598589fa8c8643ca329ba8220051fa9a570aafe7e78c13fae224
  - name: icr.io/cpopen/cpfs/spoke-nginx@sha256:a8023e8fd91907b06b03005602a019ef1d5c721780709b01a5ea52c67b802a89
  - name: icr.io/cpopen/cpfs/zen-audit@sha256:a79bfdca8941ea9b1c7ff616d726aad7d0e2bd29bb01d60861922138ad34f498
  - name: icr.io/cpopen/cpfs/zen-core-api@sha256:8610106fe4148c4d2147b7ce6a814d279cab21d7f41fa6891b9cdaa7b31c0f4d
  - name: icr.io/cpopen/cpfs/zen-core@sha256:413f08e48bee89cf379261791fd3148774b68047c4a23d2ebe1d96e0b740412f
  - name: icr.io/cpopen/cpfs/zen-iam-config@sha256:c5604c8833271d6a160335468961871aaa698104ae844f546d4276a6e26d9f71
  - name: icr.io/cpopen/cpfs/zen-minio@sha256:d26cd766e9ba2522517f94e5bf8203c3b41ba7397c8d0f9b91df8e2d304b8379
  - name: icr.io/cpopen/cpfs/zen-openresty-base@sha256:0ca1e9904056a224301c6a7af381e7f717b4a9c35b792dd199ad8d42c5f19044
  - name: icr.io/cpopen/cpfs/zen-rsi-adm-controller@sha256:7e379e8745478eeff3dc0ddf7f1f435f1e5adb892bdb29b3fbb76db64774f417
  - name: icr.io/cpopen/cpfs/zen-utils@sha256:1081101765f73ea82ab98083bca1b640773478cc0d1cfda9925dd4071b49084c
  - name: icr.io/cpopen/cpfs/zen-watchdog@sha256:fb07a866f8c2f62dfb095ca3ea069987594a7e3d8e5cb3b9c36ff6a78793aeb5
  - name: icr.io/cpopen/edb/postgresql@sha256:1a5ec719c2f7da6d98374cfa43a03f96a56195416ff0c7443ee255dc92d8a82b
  - name: icr.io/cpopen/edb/postgresql@sha256:8f602b668e1174357332374094a93534a2ab132e954badcb82b331c2e04b65da
  - name: icr.io/cpopen/edb/postgresql@sha256:9fc9cc5dd91c38797397a02736996857d0182e4858ee77aeeb21f855121c9347
  - name: icr.io/cpopen/edb/postgresql@sha256:b857cfedbca28f2e17feb48b3809d29691be5eeb6d0838d8f80df402c5b018eb
  - name: icr.io/cpopen/edb/postgresql@sha256:d87a804d9bb7558d124bd83a83c261a074c26bccc3fe6ef095cdbe22be29a456
  - name: icr.io/cpopen/edb/postgresql@sha256:e027ee5a9aaebd369196c119481a14eba961119a3c3b1748aac06936bcb3afe1
  - name: icr.io/cpopen/ibm-bts-operator-catalog@sha256:e35ab0ad1eee84aaa0b1d454a0c247d85eb1ebdd186aec45ce998a4b534ef8b2
  - name: icr.io/cpopen/ibm-cert-manager-operator-catalog@sha256:27b3f48497011094fd329cebd5101a4ddefce0e84b9fa80a6fd2eb4f2f5acb59
  - name: icr.io/cpopen/ibm-cp-automation-catalog@sha256:8328626d38b5f40f2af2ee4f44d9b556fddb6c62ebc46f9bc053ed4ba926e8a2
  - name: icr.io/cpopen/ibm-cpd-cloud-native-postgresql-operator-bundle@sha256:a79e2e8139d97760e7408da9d9b9f6d7b1a649b7b396d47ce0eadee106e25cff
  - name: icr.io/cpopen/ibm-cpd-cloud-native-postgresql-operator-bundle@sha256:bc734d86baa2b87598b11a6a5785495be47c440417962dd2dff35a68fb55b905
  - name: icr.io/cpopen/ibm-cpd-cloud-native-postgresql-operator-catalog@sha256:3b867e7e0879ec24b5058e5db01c0a9be8d9d8d5ef2b7bb1bb7e247babb8b96d
  - name: icr.io/cpopen/ibm-cpd-cloud-native-postgresql-operator@sha256:1fbd0f203d2d3e894529c3bcaed1d264e3dc4870490daeb115883443595ac132
  - name: icr.io/cpopen/ibm-cpd-cloud-native-postgresql-operator@sha256:c028046df82094f6b3b58d349fdef29773d60a8a9e72bb0f028857c996f05a1b
  - name: icr.io/cpopen/ibm-cs-install-catalog@sha256:848f57b9b557d5e83729c67ce958ae41becd5a4a6dd325f9743c96ea74405555
  - name: icr.io/cpopen/ibm-events-operator-catalog@sha256:4cd92e1a78b080cc94beae89c257078314a6a0fae66e8a14512953b1c4004c09
  - name: icr.io/cpopen/ibm-fncm-catalog@sha256:f9b94bed28ed637c907eb82d04bbe3f67a7ec5615c982ae92a25810f0a57b817
  - name: icr.io/cpopen/ibm-iam-operator-catalog@sha256:331ef9263958d52c30eb24e83b7610952ba12b913b712091da739824dac17d28
  - name: icr.io/cpopen/ibm-licensing-catalog@sha256:d7b3fc5ad0e90f08cfab27d5da59e325217671bc64cbeeba9265bb0090342583
  - name: icr.io/cpopen/ibm-opencontent-flink-operator-catalog@sha256:b1e6182101793348aaf45b77160848b09674033a2b6c910d14d3049a711bbdd7
  - name: icr.io/cpopen/ibm-zen-operator-bundle@sha256:b61a31f59dca6ea4a1f292f1e14167993d2df026f156c6d15820472c5070dc26
  - name: icr.io/cpopen/ibm-zen-operator-catalog@sha256:a484bcb5478a54965ac3b0ea8acfe61026f46a2cb01587143e22e01797f5d63f
  - name: icr.io/cpopen/ibm-zen-operator@sha256:b0bed0dbd870e6ec2281c9dfb13be29131a168c40cec3aa93fafdae9e0a904c7
  - name: icr.io/cpopen/opencontent-elasticsearch-operator-catalog@sha256:5b81f9d2a5bb20f96503f76d6a39fc71cb844c49f4bc4f580e37bc4aeecb9474
  - name: icr.io/cpopen/opencontent-elasticsearch-operator@sha256:f72bf172ac8ccd2472b9eee7d22eb328da3b103703eb23bc8b76fa17244b1383
  blockedImages:
  - name: cp.icr.io/cp/cp4a/ads/ads-credentials@sha256:24e4595d59e4f1bd88bdeec3e68400bff0e49e7c00e2373669740a5d866d144a
  - name: cp.icr.io/cp/cp4a/ads/ads-gitservice@sha256:8827febca54a51b31aa1670ef7bce3abd8777e3976c58654a04d9d1ca3ac8d30
  - name: cp.icr.io/cp/cp4a/ads/ads-parsing@sha256:e026d0d23a301a39eff2c0a893472cb9fd91de8ff2669957c2ca059d9d703e24
  - name: cp.icr.io/cp/cp4a/ads/ads-restapi@sha256:a5714beee13c5a45ca12fa418e190c6b23feaf8f83a461f88eb9233c9a6c5c04
  - name: cp.icr.io/cp/cp4a/ads/ads-rrintegration@sha256:3a7b3c3b4cd7a20a61004f2a470c5274ea20ebdc656d807cf609d72512ae4546
  - name: cp.icr.io/cp/cp4a/ads/ads-run@sha256:435b46cc796b1ca1c1243f1b787ed805dec029b69ad0dbdaad9d1efcb7aa27fe
  - name: cp.icr.io/cp/cp4a/ads/ads-runtime@sha256:842740ded9b51d2ca73a9adf27d860b1728b8d31f004bdafb221620feefb9c68
  - name: cp.icr.io/cp/cp4a/ads/dba-keytool-initcontainer@sha256:6fcf28a9f6ba226b82cb854701027354f645a606fde12cfb0ebacf78f1b42673
  - name: cp.icr.io/cp/cp4a/ads/dba-keytool-jobcontainer@sha256:82d7593692bacbfb64d67dfde7f3d53b4bef3d41ed9e07a0e211b0027a39a77e
  - name: cp.icr.io/cp/cp4a/ads/dba-umsregistration-initjob@sha256:fb40bee2f5f1eb770f595879203f795b55792120fdb47da9e7ca0eb76eddf896
  - name: cp.icr.io/cp/cp4a/ads/mongo@sha256:b721cff73d4da24cb3acc35d0e3799ddd514b1e40e1b4b9c1ee42c3f932ade77
  - name: cp.icr.io/cp/cp4a/iadp/cdra@sha256:82d5990bd0730cfb124feae425e72c4ea7a9bd4620f62296f88ea6a8932ece59
  - name: cp.icr.io/cp/cp4a/iadp/cds@sha256:5f719e3715536df989c70ab99822f3041f58391f91036a31e9de1c5b39c50ced
  - name: cp.icr.io/cp/cp4a/iadp/cpds@sha256:619ac1b264699ebe413137fb903c07383e0dccc739a60951feaa11c3c1714a47
  - name: cp.icr.io/cp/cp4a/iadp/dba-keytool-initcontainer@sha256:6fcf28a9f6ba226b82cb854701027354f645a606fde12cfb0ebacf78f1b42673
  - name: cp.icr.io/cp/cp4a/iadp/doc_processing@sha256:6815e82911671589021814c619cd720c34b3260a894b9b2472599067aca237fb
  - name: cp.icr.io/cp/cp4a/iadp/gitgateway@sha256:2ba2a10fee73597d7c78dfbdbe46db93f2dbc36426766704ed144db7a9151a68
  - name: cp.icr.io/cp/cp4a/iadp/mongo_adp@sha256:b721cff73d4da24cb3acc35d0e3799ddd514b1e40e1b4b9c1ee42c3f932ade77
  - name: cp.icr.io/cp/cp4a/iadp/rabbitmq@sha256:a0a70ece813f311cfa41aec926482bdc6d00b6880b524191a1cfff5130997445
  - name: cp.icr.io/cp/cp4a/iadp/viewone@sha256:488fe37c8d78673457ece0b76148347ab1b0c6fd546e83a1532e66dde82fa0b9
  - name: cp.icr.io/cp/cp4a/iadp/watson_du_runtime@sha256:7d934cb4374261c646b15d8cb661595526f87461e6ba2d4d2671300589a763b1
  - name: cp.icr.io/cp/cp4a/odm/dba-keytool-initcontainer@sha256:6fcf28a9f6ba226b82cb854701027354f645a606fde12cfb0ebacf78f1b42673
  - name: cp.icr.io/cp/cp4a/odm/dbserver@sha256:69912eb3c9b6656cb12e698fe6fee32a47d452d3fe83d96e114bd2c4afc687d9
  - name: cp.icr.io/cp/cp4a/odm/odm-decisioncenter@sha256:b202aba68714e0029b0ee030cdcc56c81e5c5f7d6149a81d4495a06a6311d1af
  - name: cp.icr.io/cp/cp4a/odm/odm-decisionrunner@sha256:3edff75f99c08c267b2fa14caa233e6848d5ef2c14d0d0e702d7e7a609520ced
  - name: cp.icr.io/cp/cp4a/odm/odm-decisionserverconsole@sha256:babd92cefd22830cc01b4bb22c0bb141c5f18ee5164172e2c65089c17b03e7a9
  - name: cp.icr.io/cp/cp4a/odm/odm-decisionserverruntime@sha256:0a56c699e6d51ef8400d022eba55e753dbfbae4aa315994c0c0fb4531af1025d
  - name: cp.icr.io/cp/cp4a/workflow-ps/workflow-ps-server@sha256:817a0d7ed181831f2779804217b5cc67cafc6a08a5acc6b99960625d16d8cfa9
  - name: cp.icr.io/cp/opencontent-search-haproxy-fips1402@sha256:55c3c18179b69c893d1f3c0133eb7b6b33dc1cca4735c05ca7de17fb2a6d839e
  - name: cp.icr.io/cp/opencontent-search-haproxy-fips1403@sha256:b7e2a232f24b5c0ff1be3af7762d1171d9f1c206a09585995feec67641b461b6
#storageConfig:
#  local:
#    path: /home/CloudPak/cp4ba2401/.ibm-pak/oc-mirror-storage